<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginHorizontal="16dp"
    android:background="@drawable/common_white_radius_16_bg"
    android:padding="16dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_input_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:gravity="start|center"
        android:includeFontPadding="false"
        android:text="@string/order_playmate_refund_title"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_input_title_desc"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:gravity="start|center"
        android:includeFontPadding="false"
        android:text="@string/order_playmate_refund_title_desc"
        android:textColor="@color/color_FF4E5969"
        android:textSize="12sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_input_title" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/v_input"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:background="@drawable/common_input_edit_bg"
        android:paddingHorizontal="12dp"
        android:paddingVertical="8dp"
        app:layout_constrainedHeight="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_input_title_desc">

        <androidx.core.widget.NestedScrollView
            android:id="@+id/sv_et_input"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            app:layout_constrainedHeight="true"
            app:layout_constraintBottom_toTopOf="@id/tv_input_count"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_max="250dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="spread_inside">

            <androidx.appcompat.widget.AppCompatEditText
                android:id="@+id/et_input"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@null"
                android:gravity="start|top"
                android:includeFontPadding="false"
                android:minHeight="150dp"
                android:textColor="@color/color_FF1D2129"
                android:textColorHint="@color/color_FFCDCFD9"
                tools:hint="asdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfkasdf;asdjfka;lsjdfk" />

        </androidx.core.widget.NestedScrollView>

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_input_count"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center|end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="0/500"
            android:textColor="@color/color_FFCDCFD9"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/sv_et_input"
            tools:ignore="HardcodedText" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_picture_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/order_playmate_refund_picture"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_input" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_picture_desc"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:text="@string/order_playmate_refund_picture_desc"
        android:textColor="@color/color_FF1D2129"
        android:textSize="12sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_picture_title" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_picture"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_picture_desc" />


</androidx.constraintlayout.widget.ConstraintLayout>